﻿#language: ru

Функционал: Создание документа Баланс жира и белка

Сценарий: Создание документа Баланс жира и белка
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Баланс жира и белка'
	Тогда открылось окно 'Баланс жира и белка'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Баланс жира и белка (создание)'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И в поле 'от' я ввожу текст '01.11.2018 16:54:53'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Баланс жира и белка (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Баланс жира и белка (создание) *'
	И я перехожу к закладке "Баланс"
	И я нажимаю на кнопку 'Обновить баланс'
	И я нажимаю на кнопку 'Провести'
	Затем я жду, что в сообщениях пользователю будет подстрока "Не заполнена колонка" в течение 7 секунд
	И Я закрываю окно 'Баланс жира и белка (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Баланс жира и белка'
	И Я закрываю окно 'Баланс жира и белка'